package com.yihu.jw.entity.specialist;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.IntegerIdentityEntity;

import javax.persistence.Entity;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by hmf on 2020/2/28.
 */
@Entity
@Table(name = "wlyy_rehabilitation_service_item")
@SequenceGenerator(name="id_generated", sequenceName="WLYY_REHABILITATION_SERVICE_ITEM_SEQ")
public class RehabilitationServiceItemDO extends IntegerIdentityEntity {

    private String code;
    private String name;
    private String content;
    private Date createTime;//操作时间

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }
}
